# sf::Key Namespace Reference

Definition of key codes for keyboard events. More...

## Enumerations

enum

Code {
A = 'a',
B = 'b',
C = 'c',
D = 'd',
E = 'e',
F = 'f',
G = 'g',
H = 'h',
I = 'i',
J = 'j',
K = 'k',
L = 'l',
M = 'm',
N = 'n',
O = 'o',
P = 'p',
Q = 'q',
R = 'r',
S = 's',
T = 't',
U = 'u',
V = 'v',
W = 'w',
X = 'x',
Y = 'y',
Z = 'z',
Num0 = '0',
Num1 = '1',
Num2 = '2',
Num3 = '3',
Num4 = '4',
Num5 = '5',
Num6 = '6',
Num7 = '7',
Num8 = '8',
Num9 = '9',
Escape = 256,
LControl,
LShift,
LAlt,
LSystem,
RControl,
RShift,
RAlt,
RSystem,
Menu,
LBracket,
RBracket,
SemiColon,
Comma,
Period,
Quote,
Slash,
BackSlash,
Tilde,
Equal,
Dash,
Space,
Return,
Back,
Tab,
PageUp,
PageDown,
End,
Home,
Insert,
Delete,
Add,
Subtract,
Multiply,
Divide,
Left,
Right,
Up,
Down,
Numpad0,
Numpad1,
Numpad2,
Numpad3,
Numpad4,
Numpad5,
Numpad6,
Numpad7,
Numpad8,
Numpad9,
F1,
F2,
F3,
F4,
F5,
F6,
F7,
F8,
F9,
F10,
F11,
F12,
F13,
F14,
F15,
Pause,
Count
}

## Detailed Description

Definition of key codes for keyboard events.

## Enumeration Type Documentation

enum sf::Key::Code

Enumerator:

  LSystem | OS specific key (left side) : windows (Win and Linux), apple (MacOS), ...
  RSystem | OS specific key (right side) : windows (Win and Linux), apple (MacOS), ...
  LBracket | [
  RBracket | ]
  SemiColon | ;
  Comma | ,
  Period |
  Quote | '
  Slash | /
  Tilde | ~
  Equal | =

  Dash

  Add | +

  Subtract

  Multiply | *
  Divide | /
  Left | Left arrow.
  Right | Right arrow.
  Up | Up arrow.
  Down | Down arrow.

Definition at line 41 of file Event.hpp.